=== debian/changelog ===
fcode-utils (1.0.2-8) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Push debhelper level to 13.
  * Set Rules-Requires-Root to no.
  * Bumped Standards-Version to 4.5.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't strip with the build architecture strip (Closes:
    #969116).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Aug 2020 00:09:21 +0200

fcode-utils (1.0.2-7) unstable; urgency=medium

  * Backport 05-bigendian.patch from upstream to fix some issues on big-endian
    machines.
  * Bumped Standards-Version to 3.9.6.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 01 Jan 2016 00:12:22 +0100

fcode-utils (1.0.2-6) unstable; urgency=medium

  * Switch to dh.
  * Bumped Standards-Version to 3.9.5.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 May 2014 19:12:43 +0200

fcode-utils (1.0.2-5) unstable; urgency=low

  * Add patches/04-getopt.patch to fix invalid option detection, otherwise
    causing a segmentation fault, as found by Mayhem.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 27 Jun 2013 02:58:55 +0200

fcode-utils (1.0.2-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.
  * Add ${misc:Depends} to the Depends: field.
  * Add build-arch and build-indep targets.
  * Bumped Standards-Version to 3.9.3 (no changes).
  * Fix doc-base sections.
  * Fix conflicting declaration of variable olen in toke (closes: #688461).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 May 2013 12:46:34 +0200

fcode-utils (1.0.2-3) unstable; urgency=low

  * Support dpkg-buildpackage -j.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jan 2008 00:29:22 +0100

fcode-utils (1.0.2-2) unstable; urgency=low

  * Build with debugging symbols (closes: bug#436827).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Aug 2007 19:51:17 +0200

fcode-utils (1.0.2-1) unstable; urgency=low

  * Initial Release (closes: bug#419009).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 13 Apr 2007 12:37:19 +0200
