=== detok/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 #                     OpenBIOS - free your system!
-#                             ( Utilities )
+#                        ( FCode detokenizer )
 #
 #  This program is part of a free implementation of the IEEE 1275-1994
 #  Standard for Boot (Initialization Configuration) Firmware.
 #
-#  Copyright (C) 2001-2006  Stefan Reinauer <stepan@openbios.org>
-#  Copyright (C) 2006 coresystems GmbH <info@coresystems.de>
+#  Copyright (C) 2001-2010  Stefan Reinauer
+#  Copyright (C) 2006-2009 coresystems GmbH
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -24,12 +24,13 @@
 
 PROGRAM = detok
 
-CC      = gcc
+DESTDIR = /usr/local
+CC      ?= gcc
 STRIP	= strip
 INCLUDES = -I../shared
 
 # Normal Flags:
-CFLAGS  = -O2 -Wall -Wno-pointer-sign 
+CFLAGS  = -O2 -Wall #-Wextra
 LDFLAGS = 
 
 # Coverage:
@@ -47,21 +48,22 @@
 
 $(PROGRAM): $(OBJS)
 	$(CC) -o $(PROGRAM) $(OBJS) $(LDFLAGS)
-	$(STRIP) -s $(PROGRAM)
+	$(STRIP) $(PROGRAM)
 
 clean:
 	rm -f $(OBJS) *~
+	rm -f $(PROGRAM) .dependencies
 
-distclean: clean
-	rm -f $(PROGRAM) .dependencies
-	
 .dependencies: *.c 
 	@$(CC) $(CFLAGS) $(INCLUDES) -MM *.c > .dependencies
 
-.PHONY: all clean distclean 
+.PHONY: all clean
 
 -include .dependencies
 
 .c.o:
 	$(CC) -c $(CFLAGS) $(INCLUDES) $< -o $@ 
 
+install:
+	mkdir -p $(DESTDIR)/bin
+	cp $(PROGRAM) $(DESTDIR)/bin/$(PROGRAM)
