=== toke/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #  This program is part of a free implementation of the IEEE 1275-1994
 #  Standard for Boot (Initialization Configuration) Firmware.
 #
-#  Copyright (C) 2001-2006  Stefan Reinauer <stepan@openbios.org>
-#  Copyright (C) 2006 coresystems GmbH <info@coresystems.de>
+#  Copyright (C) 2001-2006 Stefan Reinauer
+#  Copyright (C) 2006-2009 coresystems GmbH
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -24,12 +24,13 @@
 
 PROGRAM = toke
 
-CC      = gcc
+DESTDIR = /usr/local
+CC      ?= gcc
 STRIP	= strip
 INCLUDES = -I../shared
 
 # Normal flags
-CFLAGS  = -O2 -Wall -Wno-pointer-sign -fno-strict-aliasing 
+CFLAGS  = -O2 -Wall #-Wextra 
 LDFLAGS =
 
 # Coverage:
@@ -38,6 +39,12 @@
 
 # Debugging:
 # CFLAGS  := $(CFLAGS) -g
+
+# for gcc 4. remove if you fixed the code.
+_GCC4_CFLAGS=$(shell echo 'main(int argc, char **argv){return 0;}' > .test.c;   \
+		$(CC) -Wno-pointer-sign -c .test.c -o .test.o > /dev/null 2>&1 \
+		&& echo -Wno-pointer-sign; rm .test.c .test.o )
+CFLAGS  := $(CFLAGS) $(_GCC4_CFLAGS)
 
 OBJS  = clflags.o conditl.o devnode.o dictionary.o emit.o errhandler.o     \
         flowcontrol.o macros.o nextfcode.o parselocals.o scanner.o stack.o \
@@ -48,24 +55,25 @@
 
 $(PROGRAM): $(OBJS)
 	$(CC) -o $(PROGRAM) $(OBJS) $(LDFLAGS)
-	$(STRIP) -s $(PROGRAM)
+	$(STRIP) $(PROGRAM)
 
 clean:
 	rm -f $(OBJS) *~
+	rm -f $(PROGRAM) .dependencies
 
-distclean: clean
-	rm -f $(PROGRAM) .dependencies
-	
 .dependencies: *.c 
 	@$(CC) $(CFLAGS) $(INCLUDES) -MM *.c > .dependencies
 
 documentation:: *.c *.h toke.doxygen
 	@doxygen toke.doxygen
 
-.PHONY: all clean distclean 
+.PHONY: all clean
 
 -include .dependencies
 
 .c.o:
 	$(CC) -c $(CFLAGS) $(INCLUDES) $< -o $@ 
 
+install:
+	mkdir -p $(DESTDIR)/bin
+	cp $(PROGRAM) $(DESTDIR)/bin/$(PROGRAM)
