=== debian/changelog ===
fcode-utils (1.0.3-2) unstable; urgency=medium

  * No change upload, except adding missing changelog entries in previous
    version

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Mar 2025 23:20:18 +0100

fcode-utils (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/patches/01-sys-types-h.patch, upstreamed
  * Replace debian/patches/03-makefile.patch by upstream patch
  * Drop debian/patches/05-bigendian.patch, upstreamed
  * Drop debian/patches/nostrip.patch, upstreamed
  * Update debian/rules following changes to upstream Makefiles
  * Rewrite debian/copyright in Machine-readable format
  * Update homepage in debian/control
  * Bump Standards-Version to 4.7.2 (no changes)
  * Add debian/watch file
  * Force standards to gnu99 to fix build with GCC 15 (Closes: #1096621)
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier
  * Add Vcs-git and Vcs-browser to debian/control

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Mar 2025 21:29:38 +0100
