=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: http://www.openbios.org
+Standards-Version: 4.7.2
+Homepage: https://github.com/openbios/fcode-utils
+Vcs-Git: https://salsa.debian.org/aurel32/fcode-utils.git
+Vcs-Browser: https://salsa.debian.org/aurel32/fcode-utils
 
 Package: fcode-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: OpenBIOS FCode utilities
  FCode is a Forth programming language dialect compliant with ANS Forth.
  It can exist in two forms; source code and a compiled version, known as
