=== debian/rules ===
#!/usr/bin/make -f

# code use the "bool", which is a reserved keyword in C23. Downgrade to GNU99
export DEB_CFLAGS_MAINT_APPEND=-std=gnu99

# this make lintian happier
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- STRIP=true CFLAGS="$$CPPFLAGS $$CFLAGS" LDFLAGS="$$LDFLAGS"

override_dh_auto_install:
	# Installation is done using debian/install
