=== debian/watch ===
version=4
https://github.com/openbios/fcode-utils/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
